Intermittent testANRReporter | application crashed [@ __wrap_dl_iterate_phdr]

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
4 years ago
4 years ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({crash, intermittent-failure})

Trunk
ARM
Android
crash, intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=45769869&tree=Mozilla-Inbound

Android 4.0 Panda mozilla-inbound opt test robocop-1 on 2014-08-12 11:11:35 PDT for push 813ad3e96004
slave: panda-0742

11:29:11     INFO -  142 INFO SimpleTest START
11:29:11     INFO -  143 INFO TEST-START | testANRReporter
11:29:11     INFO -  144 INFO TEST-PASS | testANRReporter | Given message occurred for registered event: {"type":"Gecko:Ready"} - Gecko:Ready should equal Gecko:Ready
11:29:11     INFO -  145 INFO EventExpecter: no longer listening for Gecko:Ready
11:29:11     INFO -  146 INFO TEST-PASS | testANRReporter | Ping directory is empty
11:29:11     INFO -  147 INFO TEST-PASS | testANRReporter | Successfully set package name - org.mozilla.fennec should equal org.mozilla.fennec
11:29:11     INFO -  148 INFO TEST-PASS | testANRReporter | testContext should not be null - android.app.ContextImpl@4122e858 should not equal null
11:29:11     INFO -  149 INFO Triggering ANR | null
11:29:11     INFO -  150 INFO Triggering second ANR | null
11:29:11     INFO -  151 INFO Waiting for ping | null
11:29:11     INFO -  INFO | automation.py | Application ran for: 0:00:09.860076
11:29:11     INFO -  INFO | zombiecheck | Reading PID log: /tmp/tmpXVJGKKpidlog
11:29:11     INFO -  Contents of /data/anr/traces.txt:
11:29:11     INFO -  ----- pid 1 at 2014-01-15 18:55:51 -----
11:29:11     INFO -  Cmd line: org.mozilla.fennec
11:29:11     INFO -  JNI: CheckJNI is off; workarounds are off; pins=0; globals=397
11:29:11     INFO -  DALVIK THREADS:
11:29:11     INFO -  (mutexes: tll=0 tsl=0 tscl=0 ghl=0)
11:29:11     INFO -  "main" prio=5 tid=1 WAIT
11:29:11     INFO -    | group="main" sCount=1 dsCount=0 obj=0x41d6bc90 self=0x41d5a3c8
11:29:11     INFO -    | sysTid=3485 nice=0 sched=0/0 cgrp=apps handle=1074852180
11:29:11     INFO -    | state=S schedstat=( 0 0 0 ) utm=1065 stm=152 core=0
11:29:11     INFO -    at java.lang.Object.wait(Native Method)
11:29:11     INFO -    - waiting on <0x427ab340> (a org.mozilla.gecko.GeckoEditable$5)
11:29:11     INFO -    at java.lang.Object.wait(Object.java:364)
11:29:11     INFO -    at org.mozilla.gecko.GeckoEditable$5.run(GeckoEditable.java:746)
11:29:11     INFO -    at android.os.Handler.handleCallback(Handler.java:733)
11:29:11     INFO -    at android.os.Handler.dispatchMessage(Handler.java:95)
11:29:11     INFO -    at android.os.Looper.loop(Looper.java:137)
11:29:11     INFO -    at android.app.ActivityThread.main(ActivityThread.java:4998)
11:29:11     INFO -    at java.lang.reflect.Method.invokeNative(Native Method)
11:29:11     INFO -    at java.lang.reflect.Method.invoke(Method.java:515)
11:29:11     INFO -    at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:777)
11:29:11     INFO -    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:593)
11:29:11     INFO -    at dalvik.system.NativeStart.main(Native Method)
11:29:11     INFO -  "Gecko" prio=5 tid=16 SUSPENDED
11:29:11     INFO -    | group="main" sCount=1 dsCount=0 obj=0x426e2b28 self=0x76ae92e8
11:29:11     INFO -    | sysTid=3541 nice=0 sched=0/0 cgrp=apps handle=1991153472
11:29:11     INFO -    | state=S schedstat=( 0 0 0 ) utm=1118 stm=145 core=0
11:29:11     INFO -    #00  pc 00000904  /system/lib/libc.so (__futex_syscall3+4294832136)
11:29:11     INFO -    #01  pc 0000eec4  /system/lib/libc.so (__pthread_cond_timedwait_relative+48)
11:29:11     INFO -    #02  pc 0000ef24  /system/lib/libc.so (__pthread_cond_timedwait+64)
11:29:11     INFO -    #03  pc 000536b7  /system/lib/libdvm.so
11:29:11     INFO -    #04  pc 00053c79  /system/lib/libdvm.so (dvmChangeStatus(Thread*, ThreadStatus)+34)
11:29:11     INFO -    #05  pc 00049507  /system/lib/libdvm.so
11:29:11     INFO -    #06  pc 0004d84b  /system/lib/libdvm.so
11:29:11     INFO -    #07  pc 0003f1df  /dev/ashmem/libxul.so (deleted)
11:29:11     INFO -    at org.mozilla.gecko.mozglue.GeckoLoader.nativeRun(Native Method)
11:29:11     INFO -    at org.mozilla.gecko.GeckoAppShell.runGecko(GeckoAppShell.java:384)
11:29:11     INFO -    at org.mozilla.gecko.GeckoThread.run(GeckoThread.java:177)
11:29:11     INFO -  ----- end 1 -----
11:29:11     INFO -  ----- pid 2 at 2013-01-25 13:27:01 -----
11:29:11     INFO -  Cmd line: system_server
11:29:11     INFO -  ----- end 2 -----
11:29:13     INFO -  mozcrash INFO | Downloading symbols from: https://ftp-ssl.mozilla.org/pub/mozilla.org/mobile/tinderbox-builds/mozilla-inbound-android/1407864075/fennec-34.0a1.en-US.android-arm.crashreporter-symbols.zip
11:29:17  WARNING -  PROCESS-CRASH | testANRReporter | application crashed [@ __wrap_dl_iterate_phdr]
11:29:17     INFO -  Crash dump filename: /tmp/tmprNBbU7/60af5136-6627-515e-14fd7f74-1ab186af.dmp
11:29:17     INFO -  Operating system: Android
11:29:17     INFO -                    0.0.0 Linux 3.2.0+ #2 SMP PREEMPT Thu Nov 29 08:06:57 EST 2012 armv7l pandaboard/pandaboard/pandaboard:4.0.4/IMM76I/5:eng/test-keys
11:29:17     INFO -  CPU: arm
11:29:17     INFO -       2 CPUs
11:29:17     INFO -  Crash reason:  SIGSEGV
11:29:17     INFO -  Crash address: 0x9d01ffb0
11:29:17     INFO -  Thread 12 (crashed)
11:29:17     INFO -   0  libmozglue.so!__wrap_dl_iterate_phdr [ElfLoader.cpp:813ad3e96004 : 108 + 0x0]
11:29:17     INFO -       r4 = 0x9d01ffb0    r5 = 0x00000000    r6 = 0x6400e4bd    r7 = 0x5c2ff9a4
11:29:17     INFO -       r8 = 0x00001388    r9 = 0x007f30d8   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2fd7a0    lr = 0x5be9b999    pc = 0x5be9b95e
11:29:17     INFO -      Found by: given as instruction pointer in context
11:29:17     INFO -   1  libxul.so!SharedLibraryInfo::GetInfoForSelf() [shared-libraries-linux.cc:813ad3e96004 : 80 + 0x5]
11:29:17     INFO -       r4 = 0x5c2ff9a4    r5 = 0x00000000    r6 = 0x5c2fd7f4    r7 = 0x647cecb7
11:29:17     INFO -       r8 = 0x00001388    r9 = 0x007f30d8   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2fd7d0    pc = 0x6400e9ab
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   2  libxul.so!GetSharedLibraryInfoString() [nsProfiler.cpp:813ad3e96004 : 173 + 0x5]
11:29:17     INFO -       r4 = 0x5c2ffa80    r5 = 0x5c2ffa80    r6 = 0x69a75190    r7 = 0x647cecb7
11:29:17     INFO -       r8 = 0x00001388    r9 = 0x000a81ae   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2ff9a0    pc = 0x6401991b
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   3  libxul.so!TableTicker::StreamJSObject(JSStreamWriter&) [TableTicker.cpp:813ad3e96004 : 266 + 0x5]
11:29:17     INFO -       r4 = 0x5c2ffac4    r5 = 0x5c2ffa80    r6 = 0x69a75190    r7 = 0x647cecb7
11:29:17     INFO -       r8 = 0x00001388    r9 = 0x000a81ae   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2ffa58    pc = 0x64019a4d
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   4  libxul.so!TableTicker::ToStreamAsJSON(std::ostream&) [TableTicker.cpp:813ad3e96004 : 168 + 0x7]
11:29:17     INFO -       r4 = 0x69a75190    r5 = 0x00000000    r6 = 0x017a7b38    r7 = 0x647cecb7
11:29:17     INFO -       r8 = 0x00001388    r9 = 0x000a81ae   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2ffac0    pc = 0x64019d57
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   5  libxul.so!mozilla_sampler_get_profile() [platform.cpp:813ad3e96004 : 609 + 0x7]
11:29:17     INFO -       r4 = 0x69a75190    r5 = 0x00000000    r6 = 0x017a7b38    r7 = 0x647cecb7
11:29:17     INFO -       r8 = 0x00001388    r9 = 0x000a81ae   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2ffb08    pc = 0x64019d81
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   6  libxul.so!Java_org_mozilla_gecko_ANRReporter_getNativeStack [GeckoProfilerImpl.h:813ad3e96004 : 141 + 0x3]
11:29:17     INFO -       r4 = 0x6a55a000    r5 = 0x00000000    r6 = 0x017a7b38    r7 = 0x647cecb7
11:29:17     INFO -       r8 = 0x00001388    r9 = 0x000a81ae   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2ffbc0    pc = 0x63c2c397
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   7  libmozglue.so!Java_org_mozilla_gecko_ANRReporter_getNativeStack [jni-stubs.inc:813ad3e96004 : 32 + 0x1]
11:29:17     INFO -       r4 = 0x63c2c369    r5 = 0x017a7b38    r6 = 0x00000004    r7 = 0x51003e84
11:29:17     INFO -       r8 = 0x5c2ffbf0    r9 = 0x51003e7c   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2ffbe0    pc = 0x5bea0217
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   8  libdvm.so + 0x1e7b2
11:29:17     INFO -       r4 = 0x00000001    r5 = 0x56fb5658    r6 = 0x00000004    r7 = 0x51003e84
11:29:17     INFO -       r8 = 0x5c2ffbf0    r9 = 0x51003e7c   r10 = 0x409d2f44    fp = 0x5c2ffc04
11:29:17     INFO -       sp = 0x5c2ffbf0    pc = 0x409177b4
11:29:17     INFO -      Found by: call frame info
11:29:17     INFO -   9  libmozglue.so!Java_org_mozilla_gecko_ANRReporter_requestNativeStack [jni-stubs.inc:813ad3e96004 : 14 + 0xd]
11:29:17     INFO -       sp = 0x5c2ffbf4    pc = 0x5bea01f1
11:29:17     INFO -      Found by: stack scanning
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.